Package be.ehealth.businessconnector.mycarenet.attestv3.service.impl

# Class AttestServiceImpl

java.lang.Object
be.ehealth.businessconnector.mycarenet.attestv3.service.impl.AttestServiceImpl

All Implemented Interfaces:
  `AttestService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class AttestServiceImpl extends Object implements AttestService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation for the `AttestService` interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttestServiceImpl()`
  default constructor , needed for ModuleBootstrapHook.
  `AttestServiceImpl(SessionValidator sessionValidator)`
  Creates a new `AttestServiceImpl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `CancelAttestationResponse`
  `cancelAttestion(SAMLToken token, SendRequestType request)`
  Cancel the consultation request to the WS and retrieves the response.
  `final SendAttestationResponse`
  `sendAttestion(SAMLToken token, SendRequestType request)`
  Sends the consultation request to the WS and retrieves the response.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttestServiceImpl

    public AttestServiceImpl(SessionValidator sessionValidator)
    Creates a new `AttestServiceImpl`
    Parameters:
      `sessionValidator` - the SessionValidator object

  - ### AttestServiceImpl

    public AttestServiceImpl()
    default constructor , needed for ModuleBootstrapHook.

- ## Method Details

  - ### sendAttestion

    public final SendAttestationResponse sendAttestion(SAMLToken token, SendRequestType request) throws TechnicalConnectorException
    Description copied from interface: `AttestService`
    Sends the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.
    Specified by:
      `sendAttestion` in interface `AttestService`
    Parameters:
      `token` - the valid SAML token
      `request` - the request to send
    Returns:
      CancelAttestationResponse
    Throws:
      `TechnicalConnectorException`

  - ### cancelAttestion

    public CancelAttestationResponse cancelAttestion(SAMLToken token, SendRequestType request) throws TechnicalConnectorException
    Description copied from interface: `AttestService`
    Cancel the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.
    Specified by:
      `cancelAttestion` in interface `AttestService`
    Parameters:
      `token` - the valid SAML token
      `request` - the request to send
    Returns:
      CancelAttestationResponse
    Throws:
      `TechnicalConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`